Bug 1472223 - (CVE-2017-7776) CVE-2017-7776 graphite2: heap-buffer-overflow read "graphite2::Silf::getClassGlyph"
CVE-2017-7776 graphite2: heap-buffer-overflow read "graphite2::Silf::getClass...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170614,reported=2...
: Security
Depends On: 1472290 1472291 1472292
Blocks: 1469141
  Show dependency treegraph
 
Reported: 2017-07-18 05:31 EDT by Stefan Cornelius
Modified: 2017-07-21 10:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: graphite2 1.3.10
Doc Type: If docs needed, set a value
Doc Text:
An out of bounds read flaw related to "graphite2::Silf::getClassGlyph" has been reported in graphite2. An attacker could possibly exploit this flaw to disclose potentially sensitive memory or cause an application crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-21 05:13:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2017-07-18 05:31:33 EDT
An out of bounds read flaw related to "graphite2::Silf::getClassGlyph" has been reported in graphite2. An attacker could possibly exploit this flaw to disclose potentially sensitive memory or cause an application crash.
Comment 1 Stefan Cornelius 2017-07-18 05:31:50 EDT
Acknowledgments:

Name: the Mozilla project
Upstream: Holger Fuhrmannek, Tyson Smith
Comment 4 errata-xmlrpc 2017-07-20 19:17:32 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1793 https://access.redhat.com/errata/RHSA-2017:1793

Note You need to log in before you can comment on or make changes to this bug.